module Spree
  module VariantDecorator
    def self.included(base)
      base.class_eval do
        has_many :attachments, as: :viewable, dependent: :destroy, inverse_of: :viewable
      end
    end
  end
end

Spree::Variant.include Spree::VariantDecorator
