Spree::Core::Engine.routes.draw do
  namespace :admin do
    resources :products do
      resources :attachments, except: :show do
        collection do
          post :update_positions
        end
      end
    end
  end

  namespace :api, defaults: { format: :json } do
    resources :variants do
      resources :attachments, only: :update
    end
  end
end
